<?php

// -----------------------------------------------------------------------
// This file is part of aroundme
// 
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
// 
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
// -----------------------------------------------------------------------

include "inc/header.inc.php";
$menu_section = "activity"; //sets menu in default template

if (!isset($_REQUEST['activity_id']) && ($page_name[0] != "a_activities" && $page_name[0] == "a_calendar" && $page_name[0] == "a_schedule")) {
	header("Location: a_activities.php?" . SID);
	exit;
}


if (isset($_REQUEST['user_id'])) {
	$user_id = $_REQUEST['user_id'];
}
else {
	$user_id = $me['user_id'];
}


require_once($c_node['dir']['class_path'] . 'Activity.class.php');
$activity = new Activity($db, $c_acs['arr_section']['group'], $date, $file);
$activity->activity_task_type = $c_node['activity']['task_user_status'];
$activity->user_id = $user_id;



if (isset($_REQUEST['activity_id'])) {
	$activity_id = $_REQUEST['activity_id'];
	$activity->activity_id = $activity_id;
}


if (isset($_REQUEST['group_id']) && $_REQUEST['group_id'] > 0) {
	$group_id = $_REQUEST['group_id'];
}


if (isset($_REQUEST['task_id'])) {
	$task_id = $_REQUEST['task_id'];
	$activity->task_id = $task_id;
}


//setup file
require_once($c_node['dir']['class_path'] . 'File.class.php');
$file = new File($db, $c_acs['arr_section']['group'], $c_node['file'], $c_node['dir']);

?>
